
      subroutine findlimits (array, nummax, vallo, valhi, ilo, ihi)
c******************************************************************************
c     this routine finds the subscripts *array* for values greater
c     than or equal to *vallo* and less than or equal to *valhi*
c******************************************************************************

      implicit real*8 (a-h,o-z)
      real*8 array(*)


c*****check that desired point values are within array bounds
      if (array(1) .gt. vallo) then 
         write (*,1001) vallo, array(1)
         stop
      endif
      if (array(nummax) .lt. valhi) then
         write (*,1002) valhi, array(nummax)
         stop
      endif


c*****find the desired boudaries
      do i=1,nummax
         if (array(i) .ge. vallo) then
            ilo = i
            exit
         endif
      enddo

      do i=ilo,nummax
         if (array(i) .gt. valhi) then
            ihi = i
            exit
         endif
      enddo


c*****exit normally
      return


c*****format statements
1001  format ('low desired value, ', f10.2, 
     .        ' is less than array minimum, ', f10.2)
1002  format ('high desired value, ', f10.2, 
     .        ' is greater than array maximum, ', f10.2)


      end

      
