
      subroutine obsptestim
c******************************************************************************
c     this routine locates the two observed wavelength points that bracket
c     the synthetic spectrum point, and estimates the observed flux at
c     the synthesis point by linear interpolation
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciivars.com'


c*****check that desired point values are within array bounds
      do i=ilo,nobspts
         if (wavewant .lt. obswave(i)) cycle
         
            
         write (*,1001) wavelo, obswave(1)
         stop
      endif
      if (obswave(nobspts) .lt. wavehi) then
         write (*,1002) wavehi, obswave(nobspts)
         stop
      endif



