
      subroutine resetplotpars
c******************************************************************************
c     This routine sets the plotting parameters to default values
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'plotquants.com'
      include 'plotchars.com'
      data syncolor/ 'green  ', 'magenta', 'blue   ',
     .               'red    ', 'cyan   ', 'yellow ',
     .               'black'/



c*****set up default plotting real*4 parameters
      xgutter = 1.
      ygutter = 1.
      xmin = 0.
      xmax = 1.
      ymin = 0.
      ymax = 1.
      xpoint = 0.
      ypoint = 0.
      smallxtick = 0.1
      largextick = 0.2
      smallytick = 0.1
      largeytick = 0.2
      expandval = 1.
      weightval = 4.
      angleval = 0.


c*****set up default plotting integer parameters
      xlohard = 3500
      xhihard = 31000
      ylohard = 3500
      yhihard = 31000
      numxwin = 1
      numywin = 1
      nxwin1 = 1
      nxwin2 = 1
      nywin1 = 1
      nywin2 = 1
      lableft = 2
      lablow = 1
      labright = 0
      labhigh = 0
      numxlab = 0
      numylab = 1
      lineval = 0
      numorient = 5
      numpts = 0


c*****set up default plotting strings
      call blankstring (plotfile)
      call blankstring (xlab)
      call blankstring (ylab)
      call blankstring (anylabel)
      orientation = 'portrait '
      linepoints = 'points'
      color = 'black'


c*****clear the point arrays
      do i=1,100000
         xpos(i) = 0.
         ypos(i) = 0.
         style(i) = 243.7
      enddo


c*****exit normally
      return

      end



