
c***********************************************************************
      subroutine arrayplot
c***********************************************************************
c     this routine plots an array, either a line, or points, or both;

      implicit real*8 (a-h,o-z)
      include 'plotquants.com'
      include 'plotchars.com'


c*****set color, point types, line types, expansion and line weights
      call sm_ctype (color)
      call sm_ptype (style,numpts)
      call sm_ltype (lineval)
      call sm_expand (expandval)
      call sm_lweight (weightval)


c*****plot points and/or line
      if     (linepoints .eq. 'points') then
         call sm_points (xpos, ypos, numpts)
      elseif (linepoints .eq. 'line  ') then
         call sm_connect (xpos, ypos, numpts)
      elseif (linepoints .eq. 'both  ') then
         call sm_points (xpos, ypos, numpts)
         call sm_connect (xpos, ypos, numpts)
      else 
         write (*,1001) linepoints
         stop
      endif


c*****exit normally
      return


c*****format statements
1001  format (a6, 'IS NOT A linepts VARIABLE OPTION; I QUIT!')


      end



