
      subroutine diffobssyn
c******************************************************************************
c*****this routine simply computes point-by-point differences between
c*****synthetic and observed spectra; the observed fluxes are interpolated 
c*****to the synthetic wavelength points
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciichars.com'


c*****cycle through the synthetic spectra
      do isyn=1,nsyntot
         jtot = nsynpts(isyn)
         ilo = 1
         do j=1,jtot
            wavewant = synwave(isyn,j)
            call obsfluxinterp
            obssyndiff(isyn,j) = fluxinterp - synflux(isyn,j)
         enddo
      enddo


c*****exit normally
      return


      end


